Bug#564162: gnome-user-share: Both obexd-server and obex-data-server should be allowed

GW gwSPAM.debian at tnode.com
Fri Jan 8 13:05:48 UTC 2010

Josselin Mouette wrote:
> It is a deliberate choice to not support other bluetooth implementations
> than gnome-bluetooth for the UI and obexd-{client,server} for the
> backends. Getting bluetooth to work is hard enough, we don’t need to
> support any possible combination for the bluetooth stack.

For the record: After recompiling gnome-user-share with both
dependencies installation of blueman uninstalled obexd-server and
everything except DUN worked out of the box (with gnome-bluetooth OBEX
file browsing didn't, unfortunately I didn't debug, because I knew
wanted to have everything working with the far superior blueman
package). (For DUN support in blueman with NM 0.7.x there is bug #553927.)

> The correct solution for your needs is probably to fix blueman so that
> it works with the newer obexd-server, rather than obex-data-server which
> is being deprecated.

Probably - filled blueman wishlist #564210. But the correct solution
should probably also changing package dependencies so that the
installation gnome-bluetooth can be uninstalled/replaced (both offer
kind-of same functionality and both integrate well with gnome).


More information about the pkg-gnome-maintainers mailing list